Publications

Reject a publication approval request

POST
/api/projects/{projectId}/publications/{publicationId}/approval-request/reject

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
rejectionReason?string
Lengthlength <= 500

Response Body

Response for status 200

application/json
  1. response
request*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/approval-request/reject' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "request": {
    "id": "string",
    "projectId": "string",
    "publicationId": "string",
    "targetRevisionId": "string",
    "draftRevision": -9007199254740991,
    "proposedScheduledAt": -9007199254740991,
    "state": "pending",
    "requestedByActorId": "string",
    "decidedByActorId": "string",
    "decidedAt": -9007199254740991,
    "scheduledAt": -9007199254740991,
    "rejectionReason": "string",
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991
  }
}

Was this page helpful?